import { C8oResponseListener } from "../c8oResponse";
export declare class C8oExceptionMessage {
    static notImplementedFullSyncInterface(): string;
    static invalidParameterValue(parameterName: string, details?: string): string;
    static illegalArgumentInvalidEndpoint(endpoint: string): string;
    static wrongListener(c8oListener: C8oResponseListener): string;
    static illegalArgumentNullParameter(parameterName: string): string;
    static missingValue(valueName: string): string;
    static unknownValue(valueName: string, value: string): string;
    static unknownType(variableName: string, variable: Object): string;
    static ressourceNotFound(ressourceName: string): string;
    static illegalArgumentInvalidFullSyncDatabaseUrl(fullSyncDatabaseUrlStr: string): string;
    static FullSyncDatabaseInitFailed(databaseName: string): string;
    static MissParameter(parameterName: string): string;
    static illegalArgumentInvalidURL(urlStr: string): string;
    static InvalidArgumentInvalidURL(urlStr: string): string;
    static UnknownFullSyncPolicy(policy: any): string;
    static InvalidArgumentInvalidEndpoint(endpoint: string): string;
    static InvalidRequestable(requestable: string): string;
    static InvalidParameterType(parameterName: string, wantedParameterType: string, actualParameterType: string): string;
    static illegalArgumentIncompatibleListener(listenerType: string, responseType: string): string;
    static InvalidArgumentNullParameter(parameterName: string): string;
    static InitError(): string;
    static InitRsainternalKey(): string;
    static InitCouchManager(): string;
    static InitSslSocketFactory(): string;
    static InitDocumentBuilder(): string;
    static ParseStreamToJson(): string;
    static ParseStreamToXml(): string;
    static parseInputStreamToString(): string;
    static parseXmlToString(): string;
    static parseRsainternalKey(): string;
    static parseQueryEnumeratorToJson(): string;
    static parseLogsToJson(): string;
    static parseLogsStreamToJson(): string;
    static parseC8oReplicationResultToJson(): string;
    static parseFullSyncDefaultResponseToJson(): string;
    static parseFullSyncPostDocumentResponseToJson(): string;
    static parseStringToJson(): string;
    static ParseStringToObject(type: any): string;
    static StringToJsonValue(str: string): string;
    static retrieveRsainternalKey(): string;
    static httpLogs(): string;
    static couchRequestGetView(): string;
    static couchRequestCreateIndex(): string;
    static couchRequestFind(): string;
    static couchRequestExplain(): string;
    static couchRequestGetIndexes(): string;
    static couchRequestDeleteIndex(): string;
    static couchRequestSearch(): string;
    static couchRequestAllDocuments(): string;
    static couchRequestResetDatabase(): string;
    static couchRequestDeleteDocument(): string;
    static couchRequestInvalidRevision(): string;
    static couchRequestPostDocument(): string;
    static unableToGetFullSyncDatabase(databaseName: string): string;
    static couchNullResult(): string;
    static couchFullSyncNotActive(): string;
    static CouchDeleteFailed(): string;
    static fullSyncPutProperties(properties: Object): string;
    static fullSyncGetOrCreateDatabase(databaseName: string): string;
    static fullSyncHandleResponse(): string;
    static loadKeyStore(): string;
    static trustAllCertificates(): string;
    static clientKeyStore(): string;
    static serverKeyStore(): string;
    static illegalArgumentNotFoundFullSyncView(viewName: string, databaseName: string): string;
    static unhandledResponseType(responseType: string): string;
    static unhandledListenerType(listenerType: string): string;
    static WrongListener(c8oListener: C8oResponseListener): string;
    static wrongResult(result: any): string;
    static unhandledFullSyncRequestable(fullSyncRequestableValue: string): string;
    static closeInputStream(): string;
    static deserializeJsonObjectFromString(str: string): string;
    static postDocument(): string;
    static getNameValuePairObjectValue(name: string): string;
    static queryEnumeratorToJSON(): string;
    static queryEnumeratorToXML(): string;
    static addparametersToQuery(): string;
    static putJson(): string;
    static changeEventToJson(): string;
    static initC8oSslSocketFactory(): string;
    static createSslContext(): string;
    static keyManagerFactoryInstance(): string;
    static initKeyManagerFactory(): string;
    static InitHttpInterface(): string;
    static trustManagerFactoryInstance(): string;
    static initTrustManagerFactory(): string;
    static initSslContext(): string;
    static initCipher(): string;
    static urlEncode(): string;
    static getParametersStringBytes(): string;
    static encodeParameters(): string;
    static RunHttpRequest(): string;
    static generateRsainternalKey(): string;
    static keyFactoryInstance(): string;
    static getCipherInstance(): string;
    static entryNotFound(entryKey: string): string;
    static c8oCallRequestToJson(): string;
    static getJsonKey(key: string): string;
    static jsonValueToXML(): string;
    static inputStreamToXML(): string;
    static inputStreamReaderEncoding(): string;
    static readLineFromBufferReader(): string;
    static GetLocalCacheParameters(): string;
    static GetLocalCachePolicy(policy: string): string;
    static fullSyncJsonToXML(): string;
    static takeLog(): string;
    static remoteLogHttpRequest(): string;
    static getInputStreamFromHttpResponse(): string;
    static inputStreamToJSON(): string;
    static httpInterfaceInstance(): string;
    static FullSyncInterfaceInstance(): string;
    static getDocumentFromDatabase(documentId: string): string;
    static FullSyncReplicationFail(databaseName: string, way: string): string;
    static localCachePolicyIsDisable(): string;
    static localCacheDocumentJustCreated(): string;
    static illegalArgumentInvalidLocalCachePolicy(localCachePolicyString: string): string;
    static timeToLiveExpired(): string;
    static InvalidLocalCacheResponseInformation(): string;
    static overrideDocument(): string;
    static handleFullSyncRequest(): string;
    static serializeC8oCallRequest(): string;
    static getResponseFromLocalCache(): string;
    static getResponseFromLocalCacheDocument(): string;
    static handleC8oCallRequest(): string;
    static runHttpRequest(): string;
    static saveResponseToLocalCache(): string;
    static RemoteLogFail(): string;
    static FullSyncRequestFail(): string;
    static MissingLocalCacheResponseDocument(): string;
}
